%define	upstream_name	 Config-YAML
%define upstream_version 1.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Generic Config perl module
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MD/MDXI/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl-YAML
BuildArch:	noarch


%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/Config
%{_mandir}/man3/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.420.0-8pclos2017
- rebuild against updates

